Bug 141548 - FILEOPEN: DOCX: Text in endnote is missing
Summary: FILEOPEN: DOCX: Text in endnote is missing
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Footnote-Endnote
  Show dependency treegraph
 
Reported: 2021-04-07 19:29 UTC by Xisco Faulí
Modified: 2021-04-22 18:05 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison LibreOffice 7.2 master and MSO 2010 (104.03 KB, image/png)
2021-04-07 19:29 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-04-07 19:29:16 UTC
Created attachment 171019 [details]
Comparison LibreOffice 7.2 master and  MSO 2010

Steps to reproduce:
1. Open attachment 95853 [details] from bug 76204

-> 'another endnote' and 'new line' are missing in the second endnote. See comparison

Reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: c47ad11f8c2e917adebbd5d7b3a3ef6cc4b3e670
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2021-04-07 19:30:22 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7dd8f8aace536a8e60e87e61ee1d90d61fba15eb

author	László Németh <nemeth@numbertext.org>	2021-02-17 09:47:43 +0100
committer	László Németh <nemeth@numbertext.org>	2021-02-18 13:30:55 +0100
commit	7dd8f8aace536a8e60e87e61ee1d90d61fba15eb (patch)
tree	72638bfc11fa2d0ee1c55f214df3a8e027168aaa
parent	63d14566ba93b87f23a7ba68f8ea733cf19be101 (diff)
tdf#120351 DOCX import: fix slow endnote import

Bisected with: bibisect-linux64-7.2

Adding Cc: to László Németh
Comment 2 Commit Notification 2021-04-19 20:25:04 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6fd2bb9b8967c4945550b0f7b7541aaace8020c1

tdf#141548 DOCX import: fix lost text after endnoteRef

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2021-04-20 15:09:39 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 93bb5fcba9e58eeeaaed9521c3bb4eecf9b91ac1
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@László Németh, thanks for fixing this issue!!
Comment 4 László Németh 2021-04-22 18:05:25 UTC
(In reply to Xisco Faulí from comment #3)

@Xisco: thanks for the feeedback!